package com.massivecraft.massivecore.ps;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;

import java.lang.reflect.Type;

public class PSAdapter implements JsonDeserializer<PS> {
    // -------------------------------------------- //
    // INSTANCE & CONSTRUCT
    // -------------------------------------------- //

    private static PSAdapter i = new PSAdapter();

    public static PSAdapter get() {
        return i;
    }

    private PSAdapter() {
    }

    // -------------------------------------------- //
    // OVERRIDE
    // -------------------------------------------- //

    @Override
    public PS deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
        return deserialize(json);
    }

    // -------------------------------------------- //
    // STATIC LOGIC
    // -------------------------------------------- //

    public static PS deserialize(JsonElement json) {
        return PS.valueOf(json);
    }

}
